StocksAndFisheriesKB - Task #23670

Support of a new Source of records in GRSF VREs
Jul 20, 2022 10:43 AM - Yannis Marketakis

Status: Closed Start date: Jul 20, 2022
Priority: Normal Due date:

Assignee: Luca Frosini % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

As already discussed GRSF VREs and the corresponding services (i.e. GRSF Publisher) will have to be updated to support a new
type of Source.

The new Source will be FAO SDG 14.4.1 Questionnaire with both stock and fishery records, and will complement the existing
sources: FIRMS, RAM, FishSource, and GRSF.

This new Source will be treated as a legacy source, therefore the corresponding records will handled in a similar manner as records
from those sources (i.e. FIRMS)

From the GRSF KB perspective, the new source and the records are ready to be published. Therefore when a first draft of the GRSF
Publisher is available we can directly test it.

In order to maintain GRSF Admin and GRSF Public VREs clean, we could test the addition of records from the new source in GRSF
PRE VRE.

Related issues:
Blocks StocksAndFisherieskKB - Task #23809: The grsf-manage-widget must pass t... Closed Sep 05, 2022

History

#1 - Jul 25, 2022 05:07 PM - Luca Frosini

- Status changed from New to In Progress
@marketak@ics.forth.gr is it ok for you if use sdg as path part?
E.g. for firms we have:
/grsf-publisher-ws/rest/firms/stock/publish-product

for FAO SDG 14.4.1 Questionnaire we will have
/grsf-publisher-ws/rest/sdg/stock/publish-product

If this ok for you?

#2 - Jul 25, 2022 05:07 PM - Luca Frosini

- Status changed from In Progress to Feedback

#3 - Jul 26, 2022 09:10 AM - Yannis Marketakis

- Status changed from Feedback to In Progress

Absolutely fine by me

#4 - Jul 26, 2022 04:55 PM - Luca Frosini

I just found a note about the URL should be:
/sdg14.4.1

Sorry, | forget it

#5 - Jul 26, 2022 04:55 PM - Luca Frosini

- Status changed from In Progress to Paused

#6 - Aug 01, 2022 02:49 PM - Luca Frosini
- Status changed from Paused to In Progress

#7 - Aug 04, 2022 12:29 PM - Luca Frosini

- Status changed from In Progress to Paused
#8 - Aug 24, 2022 02:04 PM - Yannis Marketakis
Hi @luca.frosini@isti.cnr.it.

Do we have any news with the updated publisher service?

#9 - Aug 31, 2022 10:41 AM - Luca Frosini

- Status changed from Paused to In Progress

Yannis Marketakis wrote in #note-8:

Hi @luca.frosini@isti.cnr.it.
Do we have any news with the updated publisher service?

I'm going to work on this

#10 - Aug 31, 2022 11:25 AM - Luca Frosini
- % Done changed from 0 to 50

@marketak@ics.forth.gr | have changed the code to support this new source but | have to properly test it.
Can you please provide me 2 or 3 json of records from this source?

#11 - Aug 31, 2022 12:05 PM - Luca Frosini
@roberto.cirillo@isti.cnr.it can you upgrade the preproduction with version 1.13.3-SNAPSHOT

#12 - Aug 31, 2022 02:48 PM - Luca Frosini
- % Done changed from 50 to 60

#13 - Aug 31, 2022 02:52 PM - Luca Frosini
- Status changed from In Progress to Feedback

- Assignee changed from Luca Frosini to Roberto Cirillo

@roberto.cirillo@isti.cnr.it to properly manage this new feature and the required fix for #23679 | have branched grsf-publisher-ws and
grsf-common-library.

| also needed to upgrade the major version of grsf-common-library to 2.0.0-SNAPSHOT because we need to break the backward compatibility to
support the new source.

For this reason, | have also created dedicated Jenkins jobs

https://jenkins.d4science.org/job/grsf-common-library-23670
https://jenkins.d4science.org/job/grsf-publisher-ws-23670

Jenkins compiled successfully this new versions.

#14 - Sep 01, 2022 08:51 AM - Yannis Marketakis

- File 70ae6895-7d3d-4f4a-86f9-bcb17d41bff6.json added

- File aebf21a0-7d0d-4fd6-a528-15a6f95897a6.json added
- File efabc7b4-7072-4212-bed5-4be9bb292932.json added

Luca Frosini wrote in #note-10:

@marketak@ics.forth.gr | have changed the code to support this new source but | have to properly test it.
Can you please provide me 2 or 3 json of records from this source?

@luca.frosini@isti.cnr.it attached you will find 3 indicative stock records for that source

#15 - Sep 01, 2022 02:38 PM - Roberto Cirillo
https://redmine.dev.d4science.org/issues/23679
https://jenkins.d4science.org/job/grsf-common-library-23670
- Assignee changed from Roberto Cirillo to Luca Frosini

Luca Frosini wrote in #note-11:

@roberto.cirillo@isti.cnr.it can you upgrade the preproduction with version 1.13.3-SNAPSHOT

preproduction upgraded with 1.13.3-SNAPSHOT version as requested. Let me know if everything works for you now.

#16 - Sep 02, 2022 10:24 AM - Luca Frosini

Trying to create the record | get:

{

"success": false,
"message": "'name' field of a resource cannot be null",
"result": null

}

| don't get this error trying to create a GRSF stock.

I'm going to debug the code to check if there is a bug or something which | didn't consider adding the new source of record.
@marketak@ics.forth.gr do you confirm that the attached json contain all the required fields?

#17 - Sep 02, 2022 12:08 PM - Yannis Marketakis

@luca.frosini@isti.cnr.it Please consider that this is not a GRSF stock record.
It is a legacy stock record.

#18 - Sep 02, 2022 12:51 PM - Luca Frosini
| found the issue.
It is related to the path source which does not correspond (ignoring cases) to the 'name’' of database_source entry

"database_sources" : [ {

"name" : "FAO SDG 14.4.1 gquestionnaire",
"description" : "FAO SDG 14.4.1 questionnaire",
"url" : "https://www.fao.org/sustainable-development—-goals/indicators/14.4.1/en/"

b1y
"FAO SDG 14.4.1 questionnaire" |= 'sdg14.4.1'
Instead, there were matches for the other sources. | had already considered these differences but | didn't fix the JSON deserializer.
@roberto.cirillo@isti.cnr.it jenkins has already built the service. Can you please upgrade again the preproduction with version 1.13.3-SNAPSHOT.
#19 - Sep 02, 2022 02:10 PM - Luca Frosini
@francesco.mangiacrapa@isti.cnr.it | needed to modify the enum org.gcube.datacatalogue.common.enums.Sources in grsf-common-library
Can you please check if it has any impact on your side?
The new version is 2.0.0-SNAPSHOT. As you can see | upgraded the major version because ti breaks backward compatibility of the library.

#20 - Sep 02, 2022 02:16 PM - Luca Frosini

@francesco.mangiacrapa@isti.cnr.it grsf-manage-widget uses grsf-common-library

#21 - Sep 02, 2022 02:58 PM - Luca Frosini

- Assignee changed from Luca Frosini to Roberto Cirillo

#22 - Sep 05, 2022 10:18 AM - Roberto Cirillo

- Assignee changed from Roberto Cirillo to Luca Frosini

Luca Frosini wrote in #note-18:

@roberto.cirillo@isti.cnr.it jenkins has already built the service. Can you please upgrade again the preproduction with version
1.13.3-SNAPSHOT.
Done right now.

#23 - Sep 05, 2022 10:51 AM - Francesco Mangiacrapa

Luca Frosini wrote in #note-19:
@francesco.mangiacrapa@isti.cnr.it | needed to modify the enum org.gcube.datacatalogue.common.enums.Sources in grsf-common-library
Can you please check if it has any impact on your side?

The new version is 2.0.0-SNAPSHOT. As you can see | upgraded the major version because ti breaks backward compatibility of the library.

Hi @luca.frosini@isti.cnr.it

| confirm that grsf-manage-widget uses the grsf-common-library at line
https://code-repo.d4science.org/gCubeSystem/grsf-manage-widget/src/branch/master/src/main/java/org/gcube/datacatalogue/grsf_manage widget/s
erver/manage/GRSFNotificationService.java#lL 323

Upgrading the major version of the grsf-common-library, | need to release the grsf-manage-widget. If it is urgent, please, create a specific ticket for
this activity. Thanks.

#24 - Sep 05, 2022 03:05 PM - Francesco Mangiacrapa
- Related to Task #23809: The grsf-manage-widget must pass to grsf-common-library.2.0.0[-SNAPSHOT] added

#25 - Sep 09, 2022 04:41 PM - Luca Frosini
- Status changed from Feedback to In Progress

- Assignee changed from Luca Frosini to Roberto Cirillo

@marketak@ics.forth.gr | need to switch to 'sdg' as path because in the code there were to much assumption on the used path.

@roberto.cirillo@isti.cnr.it can you please upgrade again the preproduction with version 1.13.3-SNAPSHOT?

#26 - Sep 09, 2022 04:59 PM - Roberto Cirillo
- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Luca Frosini

Done right now.

#27 - Sep 09, 2022 05:21 PM - Luca Frosini

- Status changed from Feedback to In Progress

@marketak@ics.forth.gr | made a test for SDG in the preproduction environment. It seems working now.

You can check if the new source properly works at:

#28 - Sep 09, 2022 05:21 PM - Luca Frosini
- Status changed from In Progress to Feedback

- Assignee changed from Luca Frosini to Yannis Marketakis

#29 - Sep 12, 2022 09:07 AM - Yannis Marketakis
- File clipboard-202209121006-bgzzj.png added

Thanks @Iluca.frosini@isti.cnr.it

| see that the record has been published. However, it seems to be private and | am unable to check its contents (see screenshot)
https://code-repo.d4science.org/gCubeSystem/grsf-manage-widget/src/branch/master/src/main/java/org/gcube/datacatalogue/grsf_manage_widget/server/manage/GRSFNotificationService.java#L323
https://code-repo.d4science.org/gCubeSystem/grsf-manage-widget/src/branch/master/src/main/java/org/gcube/datacatalogue/grsf_manage_widget/server/manage/GRSFNotificationService.java#L323
https://pre.d4science.org/group/grsf_pre/data-catalogue?path=/dataset/70ae6895-7d3d-4f4a-86f9-bcb17d41bff6

1 record found orderby:  Relevance

Organisations. RO M ERERE R NI INETEE ]

Legs

European hake - Southern Adriatic

Short Name: European hake - Southern Adriatic Record URL: https://data-
pre d4science org/ctlg/GRSF_Pre/70ae6895-7d3d-4i4a-66f9-b .

Is the new service in place for GRSF PRE right now? Should | try to publish records?
#30 - Sep 12, 2022 10:56 AM - Luca Frosini
| think we are ready to test it.

@roberto.cirillo@isti.cnr.it can you please upgrade again GRSF_Pre in preproduction as weel as GRSF_Pre in production with version
1.13.3-SNAPSHOT?

@marketak@ics.forth.gr as soon as the GRSF_Pre in production will be updated you can make any tests.
#31 - Sep 12, 2022 11:15 AM - Luca Frosini

- Status changed from Feedback to In Progress

- Assignee changed from Yannis Marketakis to Roberto Cirillo

#32 - Sep 12, 2022 12:16 PM - Francesco Mangiacrapa
- Related to deleted (Task #23809: The grsf-manage-widget must pass to grsf-common-library.2.0.0[-SNAPSHOT])

#33 - Sep 12, 2022 12:16 PM - Francesco Mangiacrapa
- Blocks Task #23809: The grsf-manage-widget must pass to grsf-common-library.2.0.0[-SNAPSHOT] added

#36 - Sep 14, 2022 10:26 AM - Roberto Cirillo
- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Luca Frosini
Luca Frosini wrote in #note-30:
| think we are ready to test it.
@roberto.cirillo@isti.cnr.it can you please upgrade again GRSF_Pre in preproduction as weel as GRSF_Pre in production with version

1.13.3-SNAPSHOT?

both the instances upgraded right now

#37 - Sep 23, 2022 09:46 AM - Yannis Marketakis

@luca.frosini@isti.cnr.it are the any updates on this?

#38 - Oct 04, 2022 03:41 PM - Aureliano Gentile

Dear @luca.frosini@isti.cnr.it and @marketak@ics.forth.gr, thanks for the work done so far, please this is a kind reminder to complete whatever is still
pending so we can start loading records from this new source of data (FAO SDG 14.4.1 questionnaire).

With thnaks in advance, this would be a major enhancement and we would need it now since we are going to dispatch the new SDG questionnaires
to countries and it would be great to add the UUIDs when these are generated.

#39 - Oct 04, 2022 04:01 PM - Yannis Marketakis
- % Done changed from 60 to 100

Dear @aureliano.gentile@fao.org
| have started testing the new facility on GRSF PRE and you will notice that we have already published some records from SDG (more than 200)

https://blue-cloud.d4science.org/group/grsf_pre/data-catalogue

We are currently testing some features. | will ask you and @anne.elise.nieblas@gmail.com to test it, hopefully by the end of this week.

#40 - Oct 26, 2022 04:18 PM - Luca Frosini

The service with the new source of record is under release. It will be deployed ASAP.

#41 - Oct 26, 2022 04:46 PM - Luca Frosini
- Status changed from Feedback to Closed
